# $Revision: 1.20 $, $Date: 2005/04/16 06:10:33 $
Summary:	GNU Classpath (Essential Libraries for Java)
Summary(pl):	GNU Classpath (Najwaniejsze biblioteki dla Javy)
Name:		classpath
Version:	0.14
Release:	1
License:	GPL v2
Group:		Libraries
Source0:	ftp://ftp.gnu.org/gnu/classpath/%{name}-%{version}.tar.gz
# Source0-md5:	227beb20b927c042628539601c867614
Patch0:		%{name}-info.patch
URL:		http://www.gnu.org/software/classpath/classpath.html
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.7
BuildRequires:	jikes >= 1.18
BuildRequires:	gcc-c++
BuildRequires:	gdk-pixbuf-devel
BuildRequires:	gtk+2-devel >= 2:2.4
BuildRequires:	libart_lgpl-devel >= 2.1.0
BuildRequires:	libtool >= 1.4.2
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRequires:	texinfo >= 4.2
BuildRequires:	zip
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNU Classpath (Essential Libraries for Java) is a project to create
free core class libraries for use with virtual machines and compilers
for the Java language. It includes all native methods and core classes
necessary for a completely functional Java runtime.

%description -l pl
GNU Classpath (Najwaniejsze biblioteki javy) to projekt stworzenia
wolnego jdra klas bibliotek do wykorzystania z wirtualnymi maszynami
i kompilatorami dla jzyka Java. Zawiera wszystkie natywne metody i
gwne klasy niezbdne dla kompletnej funkcjonalnoci rodowiska Javy.

%package devel
Summary:	Development files for GNU Classpath
Summary(pl):	Pliki dla programistw uywajcych GNU Classpath
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
GNU Classpath (Essential Libraries for Java) - development files.

%description devel -l pl
GNU Classpath (Najwaniejsze biblioteki dla Javy) - pliki dla
programistw.

%package static
Summary:	Static libraries for GNU Classpath
Summary(pl):	Biblioteki statyczne dla GNU Classpath
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
GNU Classpath (Essential Libraries for Java) - static libraries.

%description static -l pl
GNU Classpath (Najwaniejsze biblioteki dla Javy) - biblioteki
statyczne.

%prep
%setup -q
%patch0 -p1

%build
%configure \
	--disable-cni \
	--disable-debug \
	--enable-gtk-peer \
	--enable-java \
	--enable-jni \
	--enable-load-library \
	--enable-static \
	--with-jikes

%{__make} \
	pkglibdir=%{_libdir} \
	pkgdatadir=%{_javadir}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkglibdir=%{_libdir} \
	pkgdatadir=%{_javadir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKYOU TODO
%attr(755,root,root) %{_libdir}/libgtkpeer.so.*.*.*
%attr(755,root,root) %{_libdir}/libjavaio.so.*.*.*
%attr(755,root,root) %{_libdir}/libjavalang.so.*.*.*
%attr(755,root,root) %{_libdir}/libjavalangreflect.so.*.*.*
%attr(755,root,root) %{_libdir}/libjavanet.so.*.*.*
%attr(755,root,root) %{_libdir}/libjavanio.so.*.*.*
%attr(755,root,root) %{_libdir}/libjavautil.so.*.*.*
%{_javadir}/glibj.zip
%{_infodir}/*.info*

%files devel
%defattr(644,root,root,755)
%{_libdir}/libgtkpeer.la
%{_libdir}/libgtkpeer.so
%{_libdir}/libjavaio.la
%{_libdir}/libjavaio.so
%{_libdir}/libjavalang.la
%{_libdir}/libjavalang.so
%{_libdir}/libjavalangreflect.la
%{_libdir}/libjavalangreflect.so
%{_libdir}/libjavanet.la
%{_libdir}/libjavanet.so
%{_libdir}/libjavanio.la
%{_libdir}/libjavanio.so
%{_libdir}/libjavautil.la
%{_libdir}/libjavautil.so

%files static
%defattr(644,root,root,755)
%{_libdir}/libgtkpeer.a
%{_libdir}/libjavaio.a
%{_libdir}/libjavalang.a
%{_libdir}/libjavalangreflect.a
%{_libdir}/libjavanet.a
%{_libdir}/libjavanio.a
%{_libdir}/libjavautil.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: classpath.spec,v $
Revision 1.20  2005/04/16 06:10:33  pluto
- updated to 0.14.

Revision 1.19  2005/02/05 19:23:09  qboosh
- pass pkglibdir/pkgdatadir instead of mv+sed
- added info patch

Revision 1.18  2005/02/05 09:51:34  pluto
- updated to 0.13.

Revision 1.17  2004/12/25 18:04:55  qboosh
- automake epoch

Revision 1.16  2004/11/27 18:52:05  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.15  2004/11/16 17:53:37  undefine
- there is no source0-size anymore

Revision 1.14  2004/11/15 15:52:30  paladine
- updated to 0.12

Revision 1.13  2004/11/10 13:32:59  paladine
- cosmetics

Revision 1.12  2004/10/20 20:42:27  pluto
- SourceX-size.

Revision 1.11  2004/10/20 20:05:28  pluto
- devel and static subpkgs added.

Revision 1.10  2004/10/14 17:09:41  pluto
- glibj.zip moved to %%{_javadir}.
- release 2.

Revision 1.9  2004/10/13 21:25:15  pluto
- works (tested with jamvm).
- release 1.

Revision 1.8  2004/10/09 16:02:18  saq
- missing BR

Revision 1.7  2004/10/09 14:20:51  pluto
- updated to 0.11.

Revision 1.6  2004/09/26 12:03:59  darekr
- add BR: zip

Revision 1.5  2004/09/05 06:01:43  pluto
- release 0.2.

Revision 1.4  2004/09/03 23:12:13  pluto
- build/install fixed.

Revision 1.3  2004/09/03 11:15:52  undefine
- merge my previous changes ;):
- use jikes by default (our gcc-java doesn't work - needed 3.4 version or
  some patches from debian - hgw what..)
- files, small note about security... etc. what now?

Revision 1.2  2004/09/03 11:00:36  undefine
- work on head

Revision 1.1.2.1  2004/09/02 23:32:09  pluto
- initial, nfy...
